import {
  a as n,
  c
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/brainfuck.js
var s = c((t, a) => {
  function i(r) {
    let e = {
      className: "literal",
      begin: /[+-]/,
      relevance: 0
    };
    return {
      name: "Brainfuck",
      aliases: ["bf"],
      contains: [
        r.COMMENT(
          `[^\\[\\]\\.,\\+\\-<> \r
]`,
          `[\\[\\]\\.,\\+\\-<> \r
]`,
          {
            returnEnd: !0,
            relevance: 0
          }
        ),
        {
          className: "title",
          begin: "[\\[\\]]",
          relevance: 0
        },
        {
          className: "string",
          begin: "[\\.,]",
          relevance: 0
        },
        {
          // this mode works as the only relevance counter
          begin: /(?:\+\+|--)/,
          contains: [e]
        },
        e
      ]
    };
  }
  n(i, "brainfuck");
  a.exports = i;
});

export {
  s as a
};
